Changeset 144495


Ignore:
Timestamp:
Jan 10, 2016, 7:22:41 AM (3 years ago)
Author:
ionic@…
Message:

gpg-agent: update to 2.0.29.

Also add which UID is actually trying to start up gpg-agent if it was less than 500.

Location:
trunk/dports/security/gpg-agent
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/security/gpg-agent/Portfile

    r144107 r144495  
    66# When updating gpg-agent, update gnupg2 also if applicable.
    77name                gpg-agent
    8 version             2.0.28
     8version             2.0.29
    99revision            0
    1010categories          security mail
     
    2525use_bzip2           yes
    2626
    27 checksums           rmd160  ba35deebf89284f5e2debc0bd82b229f594d0306 \
    28                     sha256  ce092ee4ab58fd19b9fb34a460c07b06c348f4360dd5dd4886d041eb521a534c
     27checksums           rmd160  364388c339b4bb9bb040ddbcbe3fa4d66ec62cb5 \
     28                    sha256  68ed6b386ba78425b05a60e8ee22785ff0fef190bdc6f1c612f19a58819d4ac9
    2929
    3030startupitem.location \
  • trunk/dports/security/gpg-agent/files/patch-agent_gpg-agent.c-launchd.diff

    r138086 r144495  
    1 --- agent/gpg-agent.c.old       2015-06-28 01:50:38.000000000 +0200
    2 +++ agent/gpg-agent.c   2015-06-28 01:55:16.000000000 +0200
     1--- agent/gpg-agent.c.old       2016-01-10 07:26:21.000000000 +0100
     2+++ agent/gpg-agent.c   2016-01-10 07:28:04.000000000 +0100
    33@@ -47,6 +47,79 @@
    44 #include <unistd.h>
     
    153153+  if (launchd_child && geteuid () < 500)
    154154+    {
    155 +      log_error ("launchd only supported for real users - i.e., UID >= 500\n");
     155+      log_error ("launchd only supported for real users - i.e., UID >= 500.\nTrying to start for user ID %d\n", geteuid ());
    156156+      exit (1);
    157157+    }
Note: See TracChangeset for help on using the changeset viewer.